%define realname	Math-Pari
%define pariversion	2.1.6

Name:		perl-%{realname}
Version:        2.010604
Release:        1mdk
License:        GPL or Artistic
Group:          Development/Perl
Summary:        Perl interface to PARI
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{realname}-%{version}.tar.bz2
Source1:        ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pariversion}.tar.bz2
Url:            http://search.cpan.org/dist/%{realname}/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of
most PARI functions as Perl functions, and (almost) seamless merging of
PARI and Perl data. See ftp://megrez.math.u-bordeaux.fr/pub/pari for
more information about PARI.

%prep
%setup -q -n %{realname}-%{version}
%setup -q -a 1 -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor paridir=pari-%{pariversion} < /dev/null
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010604-1mdk
- New version

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.010603-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010603-1mdk
- New version

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-2mdk
- Better wording in the description

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010602-1mdk
- New version

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010601-1mdk
- New version
- Add Changes in documentation

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.010600-1mdk
- New version
- Include the pari sources in the RPM instead of downloading them during compilation
- Remove BuildRequires on pari

* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.010500-1mdk
- New package
